{% extends 'base_1.html' %}

{% load static %}
{% load widget_tweaks %}

{% block content %}
<main id="main">
    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
        <div class="breadcrumb-hero">
            <div class="container">
                <div class="breadcrumb-hero">
                    <h2>Filter</h2>
                </div>
            </div>
        </div>
        <div class="container">
            <ol>
                <li><a href="{% url 'home' %}">หน้าหลัก</a></li>
                <li>สถานท่องเที่ยว</li>
            </ol>
        </div>
    </section>
    <!-- End Breadcrumbs -->

    <div class="container">
        <div class="card">
            <div class="card-body">
                <form method="get">
                    <div class="row">
                        <div class="form-group col-sm-4 col-md-3">
                            {{ filter.form.name.label_tag }}
                            {% render_field filter.form.name class="form-control" %}
                        </div>

                        <div class="form-group col-sm-4 col-md-3">
                            {{ filter.form.category_sub.label_tag }}
                            {% render_field filter.form.category_sub class="form-control" %}
                        </div>

                        <div class="form-group col-sm-4 col-md-3">
                            {{ filter.form.cost.label_tag }}
                            {% render_field filter.form.cost class="form-control" %}
                        </div>



                        {% comment %} <div class="form-group col-sm-4 col-md-3">
                            {{ filter.form.high_season.label_tag }}
                            {% render_field filter.form.high_season class="form-control" %}
                        </div> {% endcomment %}
                        
                        <!-- <div class="form-group col-sm-8 col-md-6">
                  {{ filter.form.groups.label_tag }}
                  <div>
                    {% for choice in filter.form.groups %}
                      <label class="checkbox-inline">
                        {{ choice.tag }} {{ choice.choice_label }}
                      </label>
                    {% endfor %}
                  </div>
                </div> -->
                    </div>
                    <div class="text-center">
                        <button type="submit" class="btn btn-primary"><span>Search </span> Search</button>
                    </div>

                    <!-- <div class="slider-container">
                        <input type="text" id="slider3" class="slider" name="slider"
                            value="$this.value" onchange="alert(this.value);" />
                    </div>
                    <input type="text" id="textInput" value=""> -->

                </form>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <th>ชื่อสถานที่</th>
                        <th>หมวดหมู่</th>
                        <th>ราคาเข้าสถานที่ต่อคน</th>
                        <th>แท็ก</th>
                        <th>เวลา</th>
                        {% comment %} <th>ฤดูท่องเที่ยว</th> {% endcomment %}

                    </tr>
                </thead>
                <tbody>
                    {% for item in filter.qs %}
                    <tr>
                        <td><a href="{% url 'location:location_detail' item.pk %}">{{ item.name }}</a></td>
                        <td>{{ item.category_sub }}</td>
                        <td>{{ item.cost }}</td>
                        <td>
                            <span class="tableCell">
                                {% for tag in item.tags.all %}
                                <a href="#" class="badge badge-info">#{{ tag }}</a>
                                {% empty %}
                                <em class="text-muted">No Tags</em>
                                {% endfor %}
                            </span>
                        </td>
                        <td>{{ item.time_open }} - {{ item.time_close }}</td>
                    </tr>
                    {% empty %}
                    <tr>
                        <td colspan="5">No Data</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

</main>
{% endblock %}


{% block custom_js %}
<link rel="stylesheet" href="{% static 'css/rSlider.min.css' %}">
<script src="{% static 'js/rSlider.min.js' %}"></script>
<script>
    $(document).ready(function () {
        console.log("ready!");
        function updateTextInput(val) {
            document.getElementById('textInput').value = val;
        }
    });
    // $(document).on('submit', 'form', function (e) {
    //     $.ajax({
    //         type: 'POST',
    //         url: '{% url 'location:search' %}',
    //         data: {
    //             slider3: slider3,
    //             csrfmiddlewaretoken: $('input[name=csrfmiddlewaretoken]').val()
    //         },
    //         success: function () {
    //             console.log("success");
    //         },
    //         error: function (data) {
    //             console.log("error");
    //         }
    //     });
    // });

    var min_slider = {{ min }};
    var max_slider = {{ max }};
    var cost_list = {{ cost_list }};
    (function () {
        'use strict';

        var init = function () {

            var slider2 = new rSlider({
                target: '#slider2',
                values: cost_list,
                range: false,
                set: [5],
                tooltip: false,
                onChange: function (vals) {
                    console.log(vals);
                }
            });

            var slider3 = new rSlider({
                target: '#slider3',
                values: { min: min_slider, max: max_slider },
                step: 10,
                range: true,
                set: [min_slider, 10],
                scale: true,
                labels: false,
                onChange: function (vals) {
                    console.log(vals);
                }
            });

            var slider = new rSlider({
                target: '#slider',
                values: [2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015],
                range: true,
                set: [2010, 2013],
                onChange: function (vals) {
                    console.log(vals);
                }
            });
        };
        window.onload = init;
    })();
</script>
{% endblock %}